From 108a7a2aab4d07683cbd124e1225a4705549bebd Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Tue, 25 Jun 2019 08:52:26 -0500
Subject: [PATCH] ttyrec: fix missing ttytime

---
 srcpkgs/ttyrec/template | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/ttyrec/template b/srcpkgs/ttyrec/template
index e576d506f40..cff70746cc5 100644
--- a/srcpkgs/ttyrec/template
+++ b/srcpkgs/ttyrec/template
@@ -1,12 +1,12 @@
 # Template file for 'ttyrec'
 pkgname=ttyrec
 version=1.0.8
-revision=5
+revision=6
+short_desc="Record and playback activity on a tty"
+maintainer="Enno Boland <gottox@voidlinux.org>"
+license="BSD-4-Clause-UC"
 homepage="http://0xcc.net/ttyrec"
 distfiles="http://0xcc.net/ttyrec/${pkgname}-${version}.tar.gz"
-short_desc="tty recorder and player"
-maintainer="Enno Boland <gottox@voidlinux.org>"
-license="BSD"
 checksum=ef5e9bf276b65bb831f9c2554cd8784bd5b4ee65353808f82b7e2aef851587ec
 
 do_build() {
@@ -14,8 +14,10 @@ do_build() {
 	make ${makejobs} CC=$CC CFLAGS="-DHAVE_openpty $CFLAGS" LDFLAGS="-lutil $LDFLAGS"
 }
 do_install() {
-	for f in rec play; do
+	for f in rec play time; do
 		vbin tty${f}
 		vman tty${f}.1
 	done
+	sed -n '1,32p' ttyrec.c > LICENSE
+	vlicense LICENSE
 }
